CREATE TABLE alarms ( 
  backup_id integer not null,
  _id integer null,
  active integer null,
  createtime integer null,
  alerttime integer null,
  alarmtime integer null,
  repeattype integer null,
  notitype integer null,
  snzactive integer null,
  snzduration integer null,
  snzrepeat integer null,
  snzcount integer null,
  dailybrief integer null,
  sbdactive integer null,
  sbdduration integer null,
  sbdtone integer null,
  alarmsound integer null,
  alarmtone integer null,
  volume integer null,
  sbduri integer null,
  alarmuri text null,
  name text null
);

CREATE TABLE bookmarks (
  backup_id integer not null,  
  _id integer null, 
  title text null, 
  url text null, 
  visits integer null, 
  date integer null, 
  created integer null, 
  bookmark integer null, 
  favicon blob null
);

CREATE TABLE calendar_alerts (
  backup_id integer not null, 
  _id integer null, 
  event_id integer null, 
  begin integer null, 
  end integer null, 
  alarmTime integer null, 
  state integer null, 
  minutes integer null
);

CREATE TABLE calendar_attendees (
  backup_id integer not null,  
  _id integer null, 
  event_id integer null, 
  attendeeName text null, 
  attendeeEmail text null, 
  attendeeStatus integer null, 
  attendeeRelationship integer null, 
  attendeeType integer null, 
  attendee_contact_id integer null, 
  attendeePhoneNumber text null
);

CREATE TABLE calendar_events (
  backup_id integer not null,  
  _id integer null, 
  _sync_account text null, 
  _sync_account_type text null, 
  _sync_dirty integer null, 
  _sync_id text null, 
  _sync_local_id integer null, 
  _sync_time text null, 
  _sync_version text null, 
  allDay integer null, 
  calendar_id integer null, 
  commentsUri text null, 
  deleted integer null, 
  description text null, 
  dtend integer null, 
  dtstart integer null, 
  duration text null, 
  eventLocation text null, 
  eventStatus integer null, 
  eventTimezone text null, 
  exdate text null, 
  exrule text null, 
  guestsCanInviteOthers integer null, 
  guestsCanModify integer null, 
  guestsCanSeeGuests integer null, 
  hasAlarm integer null, 
  hasAttendeeData integer null, 
  hasExtendedProperties integer null, 
  htmlUri text null, 
  lastDate integer null, 
  organizer text null, 
  originalAllDay integer null, 
  originalEvent text null, 
  originalInstanceTime integer null, 
  rdate text null, 
  rrule text null, 
  selfAttendeeStatus integer null, 
  title text null, 
  transparency integer null, 
  visibility integer null
);

CREATE TABLE calendar_extended_properties (
  backup_id integer not null,  
  _id integer null, 
  event_id integer null, 
  name text null, 
  value text null
);

CREATE TABLE calendar_remiders (
  backup_id integer not null,  
  _id integer null, 
  event_id integer null, 
  minutes integer null, 
  method integer null
);

CREATE TABLE calendars (
  backup_id integer not null,  
  _id integer null, 
  _sync_account text null, 
  _sync_account_type text null, 
  _sync_id text null, 
  _sync_version text null, 
  _sync_time text null, 
  _sync_local_id integer null, 
  _sync_dirty integer null, 
  _sync_mark integer null, 
  url text null, 
  name text null, 
  displayName text null, 
  hidden integer null, 
  color integer null, 
  access_level integer null, 
  selected integer null, 
  sync_events integer null, 
  location text null, 
  timezone text null, 
  ownerAccount text null, 
  organizerCanRespond integer null,
  _jsbackup_is_syncable integer not null default 1
);

CREATE TABLE calllog (
  backup_id integer not null, 
  _id integer null, 
  new integer null, 
  numbertype integer null, 
  duration integer null, 
  number text null, 
  type integer null, 
  numberlabel text null, 
  name text null, 
  date integer null
);

CREATE TABLE contact_data (
  backup_id integer not null,  
  _id integer null, 
  raw_contact_id integer null, 
  is_primary integer null, 
  is_super_primary integer null, 
  data_version integer null, 
  data1 text null, 
  data2 text null, 
  data3 text null, 
  data4 text null, 
  data5 text null, 
  data6 text null, 
  data7 text null, 
  data8 text null, 
  data9 text null, 
  data10 text null, 
  data11 text null, 
  data12 text null, 
  data13 text null, 
  data14 text null, 
  data15 blob null, 
  data_sync1 text null, 
  data_sync2 text null, 
  data_sync3 text null, 
  data_sync4 text null, 
  mimetype text null
);

CREATE TABLE contact_groups (
  backup_id integer not null,  
  _id integer null, 
  title text null, 
  notes text null, 
  system_id text null, 
  deleted integer null, 
  group_visible integer null, 
  should_sync integer null,
  account_name text null, 
  account_type text null,
  sourceid text null,
  dirty integer null,
  version integer null,
  sync1 text null,
  sync2 text null,
  sync3 text null,
  sync4 text null,
  _jsbackup_is_syncable integer not null default 1
);

CREATE TABLE contacts (
  backup_id integer not null,  
  _id integer null, 
  in_visible_group integer null, 
  custom_ringtone text null, 
  last_time_contacted integer null, 
  photo_id integer null, 
  starred integer null, 
  sort_key text null, 
  sort_key_alt text null, 
  has_phone_number integer null, 
  display_name text null, 
  display_name_source integer null, 
  display_name_alt text null, 
  send_to_voicemail integer null, 
  phonetic_name text null, 
  phonetic_name_style text null, 
  lookup text null, 
  times_contacted integer null
);

CREATE TABLE home_shortcuts (
  backup_id integer not null, 
  _id integer null, 
  title text null, 
  intent text null, 
  container integer null, 
  screen integer null, 
  cellX integer null, 
  cellY integer null, 
  spanX integer null, 
  spanY integer null, 
  itemType integer null, 
  appWidgetId integer null, 
  isShortcut integer null, 
  iconType integer null, 
  iconPackage text null, 
  iconResource text null, 
  icon blob null, 
  uri text null, 
  displayMode integer null
);

CREATE TABLE media_audios (
  backup_id integer not null, 
  volume_name integer null, 
  _id integer null, 
  _data text null, 
  _display_name text null, 
  _size integer null, 
  mime_type text null, 
  date_added integer null, 
  date_modified integer null, 
  title text null, 
  title_key text null, 
  duration integer null, 
  artist_id integer null, 
  composer text null, 
  album_id integer null, 
  track integer null, 
  year integer null, 
  is_ringtone integer null, 
  is_music integer null, 
  is_alarm integer null, 
  is_notification integer null, 
  is_podcast integer null, 
  bookmark integer null
);

CREATE TABLE music_playlists_media_audios (
  backup_id integer not null, 
  volume_name integer null, 
  _id integer null, 
  _data text null, 
  _display_name text null, 
  _size integer null, 
  mime_type text null, 
  date_added integer null, 
  date_modified integer null, 
  title text null, 
  title_key text null, 
  duration integer null, 
  artist_id integer null, 
  composer text null, 
  album_id integer null, 
  track integer null, 
  year integer null, 
  is_ringtone integer null, 
  is_music integer null, 
  is_alarm integer null, 
  is_notification integer null, 
  is_podcast integer null, 
  bookmark integer null
);

CREATE TABLE media_data_map (
  backup_id integer not null,  
  _id integer null, 
  mediatype integer null, 
  backup_volume text null, 
  backup_media_id integer null, 
  backup_location text null, 
  restore_volume text null, 
  restore_media_id integer null, 
  restore_location text null
);

CREATE TABLE media_images (
  backup_id integer not null, 
  volume_name integer null, 
  _id integer null, 
  _data text null, 
  _size integer null, 
  _display_name text null, 
  mime_type text null, 
  title text null, 
  date_added integer null, 
  date_modified integer null, 
  description text null, 
  picasa_id text null, 
  isprivate integer null, 
  latitude real null, 
  longitude real null, 
  datetaken integer null, 
  orientation integer null, 
  mini_thumb_magic integer null, 
  bucket_id text null, 
  bucket_display_name text null
);

CREATE TABLE media_videos (
  backup_id integer not null, 
  volume_name integer null, 
  _id integer null, 
  _data text null, 
  _display_name text null, 
  _size integer null, 
  mime_type text null, 
  date_added integer null, 
  date_modified integer null, 
  title text null, 
  duration integer null, 
  artist text null, 
  album text null, 
  resolution text null, 
  description text null, 
  isprivate integer null, 
  tags text null, 
  category text null, 
  language text null, 
  latitude real null, 
  longitude real null, 
  datetaken integer null, 
  mini_thumb_magic integer null, 
  bucket_id text null, 
  bucket_display_name text null, 
  bookmark integer null
);

CREATE TABLE music_playlist_members (
  backup_id integer not null, 
  volume_name integer null, 
  _id integer null, 
  playlist_id integer null, 
  audio_id integer null, 
  play_order integer null,
  path text null
);

CREATE TABLE music_playlists (
  backup_id integer not null, 
  volume_name integer null, 
  _id integer null, 
  _data text null, 
  name text null, 
  date_added integer null, 
  date_modified integer null
);

CREATE TABLE raw_contacts (
  backup_id integer not null, 
  _id integer null, 
  deleted integer null, 
  contact_id integer null, 
  aggregation_mode integer null, 
  custom_ringtone text null, 
  send_to_voicemail integer null, 
  times_contacted integer null, 
  last_time_contacted integer null, 
  starred integer null, 
  display_name text null, 
  display_name_alt text null, 
  display_name_source integer null, 
  phonetic_name text null, 
  phonetic_name_style text null, 
  sort_key text null, 
  sort_key_alt text null, 
  account_name text null, 
  account_type text null, 
  sourceid text null, 
  dirty integer null, 
  version integer null, 
  sync1 text null, 
  sync2 text null, 
  sync3 text null, 
  sync4 text null,
  _jsbackup_is_syncable integer not null default 1
);

CREATE TABLE settings_secure (
  backup_id integer not null, 
  name text null, 
  value text null
);

CREATE TABLE settings_system (
  backup_id integer not null, 
  name text null, 
  value text null
);

CREATE TABLE sms (
  backup_id integer not null, 
  _id integer null, 
  thread_id integer null, 
  address text null, 
  person integer null, 
  date integer null, 
  protocol integer null, 
  read integer null, 
  status integer null, 
  type integer null, 
  reply_path_present integer null, 
  subject text null, 
  body text null, 
  service_center text null, 
  locked integer null, 
  error_code integer null, 
  seen integer null, 
  deletable integer null
);

CREATE TABLE user_dictionary (
  backup_id integer not null, 
  _id integer null, 
  locale text null, 
  word text null, 
  appid integer null, 
  frequency integer null
);

CREATE TABLE apk (
  backup_id integer not null, 
  package_name text null, 
  application_name text null 
);

CREATE TABLE user_app_data_cursor (
  backup_id integer not null,
  package_name text not null,
  uri text not null,
  uri_type text not null,
  data text not null,
  application_name text null
);

CREATE TABLE user_app_data_file (
  backup_id integer not null,
  package_name text not null,
  uri text not null,
  uri_type text not null,
  data text not null,
  application_name text null
);
