CREATE TABLE t_backup_audio (
  _id integer primary key, 
  backup_id integer not null, 
  volume_name text not null, 
  record_id integer not null, 
  selected_flag integer not null, 
  display_name text not null, 
  size integer null, 
  title text null, 
  album text null, 
  artist text null,
  audio_path text null
);

CREATE TABLE t_backup (
  _id integer primary key, 
  storage_type integer not null, 
  backup_type integer not null, 
  file_name text null, 
  schedule_flag integer not null, 
  created_datetime integer not null, 
  locale text not null,
  use_indexserver integer not null,
  password text
);

CREATE TABLE t_history (
  _id integer primary key, 
  uid text not null, 
  storage_type integer not null, 
  backup_type integer not null, 
  schedule_flag integer not null, 
  file_name text not null, 
  file_size integer not null, 
  start_datetime integer not null, 
  elapsed_time integer not null, 
  result_flag integer not null, 
  result_message text null,
  file_exist_flag integer not null,
  use_indexserver integer not null,
  sent integer not null default 0,
  online_storage_account_name text null
);

CREATE TABLE t_history2 (
  _id integer primary key, 
  uid text not null, 
  storage_type integer not null, 
  backup_type integer not null, 
  schedule_flag integer not null, 
  file_name text not null, 
  file_size integer not null, 
  start_datetime integer not null, 
  elapsed_time integer not null, 
  result_flag integer not null, 
  result_message text null,
  file_exist_flag integer not null
);

CREATE TABLE t_tmp_history (
  _id integer null, 
  uid text null, 
  storage_type integer null, 
  backup_type integer null, 
  schedule_flag integer null, 
  file_name text null, 
  file_size integer null, 
  start_datetime integer null, 
  elapsed_time integer null, 
  result_flag integer null, 
  result_message text null,
  file_exist_flag integer null,
  use_indexserver integer null,
  sent integer default 0,
  online_storage_account_name text null
);

CREATE TABLE t_history_detail (
  _id integer primary key, 
  uid text not null, 
  data_group_type integer not null, 
  data_type integer not null, 
  data_count integer not null, 
  data_size integer null, 
  result_flag integer not null, 
  result_message text null
);

CREATE TABLE t_history_detail2 (
  _id integer primary key, 
  uid text not null, 
  data_group_type integer not null, 
  data_type integer not null, 
  data_count integer not null, 
  data_size integer null, 
  restored_count integer not null,
  skipped_count integer not null,
  result_flag integer not null, 
  result_message text null
);

CREATE TABLE t_tmp_history_detail (
  _id integer null, 
  uid text not null, 
  data_group_type integer null, 
  data_type integer null, 
  data_count integer null, 
  data_size integer null, 
  result_flag integer null, 
  result_message text null
);

CREATE TABLE t_backup_image (
  _id integer primary key, 
  backup_id integer not null, 
  volume_name text not null, 
  record_id integer not null, 
  selected_flag integer not null, 
  display_name text not null, 
  size integer null, 
  title text null,
  image_path text null
);

CREATE TABLE t_restore_audio (
  _id integer primary key, 
  display_name text not null, 
  entry_name text not null, 
  size integer not null, 
  selected_flag integer not null,
  entry_exists integer not null
);

CREATE TABLE t_restore_image (
  _id integer primary key, 
  display_name text not null, 
  entry_name text not null, 
  size integer not null, 
  selected_flag integer not null,
  entry_exists integer not null
);

CREATE TABLE t_restore_standard_app_data (
  _id integer primary key, 
  data_type integer not null, 
  display_name text not null, 
  data_count integer not null, 
  selected_flag integer not null,
  entry_exists integer not null
);

CREATE TABLE t_restore_user_app_data (
  _id integer primary key, 
  display_name text not null, 
  data_count integer not null, 
  selected_flag integer not null,
  entry_exists integer not null,
  package_name text not null
);

CREATE TABLE t_restore_user_application (
  _id integer primary key, 
  display_name text not null, 
  package_name text not null,
  entry_name text not null, 
  size integer not null, 
  selected_flag integer not null,
  entry_exists integer not null
);

CREATE TABLE t_restore_video (
  _id integer primary key, 
  display_name text not null, 
  entry_name text not null, 
  size integer not null, 
  selected_flag integer not null,
  entry_exists integer not null
);

CREATE TABLE t_backup_standard_app_data (
  _id integer primary key, 
  backup_id integer not null, 
  data_type integer not null, 
  selected_flag integer not null, 
  display_name text not null, 
  count integer null, 
  result_flag integer null
);

CREATE TABLE t_backup_user_application (
  _id integer primary key, 
  backup_id integer not null, 
  package_name text not null, 
  selected_flag integer not null, 
  display_name text not null,
  file_size integer not null default 0
);

CREATE TABLE t_backup_user_app_data (
  _id integer primary key,
  backup_id integer not null,
  package_name text not null,
  receiver_name text not null,
  selected_flag integer not null, 
  display_name text not null,
  count integer null,
  result_flag integer null,
  UNIQUE(backup_id, package_name)
);

CREATE TABLE t_backup_video (
  _id integer primary key, 
  backup_id integer not null, 
  volume_name text not null, 
  record_id integer not null, 
  selected_flag integer not null, 
  display_name text not null, 
  size integer null, 
  title text null, 
  album text null, 
  artist text null, 
  category text null,
  video_path text null
);

CREATE TABLE t_history_account (
  _id integer primary key,
  uid text not null,
  login_id text not null,
  passwd text
);

CREATE TABLE t_history_account2 (
  _id integer primary key,
  uid text not null,
  login_id text not null,
  passwd text
);

CREATE TABLE t_backup_account (
  _id integer primary key,
  backup_id integer not null,
  login_id text not null,
  passwd text
);

CREATE TABLE t_backup_schedule (
  _id integer primary key,
  backup_id integer not null,
  dtstart integer,
  rrule text,
  UNIQUE(backup_id)
);

CREATE TABLE t_index_log (
  uid text not null,
  name text not null,
  value text,
  PRIMARY KEY(uid, name)
);

CREATE TABLE t_tmp_index_log (
  uid text,
  name text,
  value text
);

CREATE TABLE t_index_music (
  uid text not null,
  seq integer not null,
  title text,
  album text,
  artist text,
  PRIMARY KEY(uid, seq)
);

CREATE TABLE t_tmp_index_music (
  uid text,
  seq integer,
  title text,
  album text,
  artist text
);

CREATE TABLE t_index_app (
  uid text not null,
  package_name text not null,
  app_name text,
  PRIMARY KEY(uid, package_name)
);

CREATE TABLE t_tmp_index_app (
  uid text,
  package_name text,
  app_name text
);

CREATE TABLE t_history_user_app_data (
  _id integer primary key,
  uid text not null,
  data_type integer not null,
  package_name text not null,
  display_name text not null,
  unique(uid, data_type),
  unique(uid, package_name)
);

CREATE TABLE t_tmp_history_user_app_data (
  _id integer,
  uid text,
  data_type integer,
  package_name text,
  display_name text
);

CREATE TABLE t_history_user_app_data2 (
  _id integer primary key,
  uid text not null,
  data_type integer not null,
  package_name text not null,
  display_name text not null,
  unique(uid, data_type),
  unique(uid, package_name)
);

CREATE TABLE t_detected_foma_data (
  _id            INTEGER PRIMARY KEY,
  file_path      TEXT    NOT NULL,
  file_timestamp INTEGER NOT NULL,
  UNIQUE(file_path)
);

CREATE TABLE t_app_backup_send_header (
  _id            INTEGER PRIMARY KEY,
  account        TEXT    NOT NULL,
  uid            TEXT    NOT NULL,
  device_model   TEXT    NOT NULL,
  device_id      TEXT    NOT NULL,
  datetime       INTEGER NOT NULL,
  sent           INTEGER NOT NULL DEFAULT 0,
  UNIQUE (account, uid)
);

CREATE TABLE t_app_backup_installed_app (
  _id            INTEGER PRIMARY KEY,
  account        TEXT    NOT NULL,
  uid            TEXT    NOT NULL,
  package_name   TEXT    NOT NULL,
  app_name       TEXT    NOT NULL,
  version_code   INTEGER NOT NULL,
  version_name   TEXT    NOT NULL,
  install_date   INTEGER,
  UNIQUE (account, uid, package_name)
);

CREATE TABLE t_app_backup_history (
  _id            INTEGER PRIMARY KEY,
  account        TEXT    NOT NULL,
  uid            TEXT    NOT NULL,
  package_name   TEXT    NOT NULL,
  version_code   INTEGER NOT NULL,
  version_name   TEXT    NOT NULL,
  size           INTEGER NOT NULL,
  backup_date    INTEGER NOT NULL,
  UNIQUE (account, uid, package_name, version_code)
);

CREATE TABLE t_stat_send_header (
  _id            INTEGER PRIMARY KEY,
  account        TEXT    NOT NULL,
  uid            TEXT    NOT NULL,
  device_id      TEXT    NOT NULL,
  device_model   TEXT    NOT NULL,
  datetime       INTEGER NOT NULL,
  sent           INTEGER NOT NULL DEFAULT 0,
  UNIQUE (account, uid)
);

CREATE TABLE t_stat_bounded_range (
  _id            INTEGER PRIMARY KEY,
  account        TEXT,
  uid            TEXT,
  data_type      INTEGER NOT NULL,
  datetime       INTEGER NOT NULL,
  current_value  REAL    NOT NULL,
  max_value      REAL,
  min_value      REAL
);

CREATE TABLE t_stat_app_usage (
  _id            INTEGER PRIMARY KEY,
  account        TEXT,
  uid            TEXT,
  stat_date      INTEGER NOT NULL,
  package_name   TEXT    NOT NULL,
  app_name       TEXT,
  launched       INTEGER NOT NULL DEFAULT 0,
  active_time    INTEGER NOT NULL DEFAULT 0,
  UNIQUE (account, uid, stat_date, package_name)
);
