CREATE TABLE t_detected_foma_data (
  _id            INTEGER PRIMARY KEY,
  file_path      TEXT    NOT NULL,
  file_timestamp INTEGER NOT NULL,
  UNIQUE(file_path)
);

CREATE TABLE t_app_backup_send_header (
  _id            INTEGER PRIMARY KEY,
  account        TEXT    NOT NULL,
  uid            TEXT    NOT NULL,
  device_model   TEXT    NOT NULL,
  device_id      TEXT    NOT NULL,
  datetime       INTEGER NOT NULL,
  sent           INTEGER NOT NULL DEFAULT 0,
  UNIQUE (account, uid)
);

CREATE TABLE t_app_backup_installed_app (
  _id            INTEGER PRIMARY KEY,
  account        TEXT    NOT NULL,
  uid            TEXT    NOT NULL,
  package_name   TEXT    NOT NULL,
  app_name       TEXT    NOT NULL,
  version_code   INTEGER NOT NULL,
  version_name   TEXT    NOT NULL,
  install_date   INTEGER,
  UNIQUE (account, uid, package_name)
);

CREATE TABLE t_app_backup_history (
  _id            INTEGER PRIMARY KEY,
  account        TEXT    NOT NULL,
  uid            TEXT    NOT NULL,
  package_name   TEXT    NOT NULL,
  version_code   INTEGER NOT NULL,
  version_name   TEXT    NOT NULL,
  size           INTEGER NOT NULL,
  backup_date    INTEGER NOT NULL,
  UNIQUE (account, uid, package_name, version_code)
);

CREATE TABLE t_stat_send_header (
  _id            INTEGER PRIMARY KEY,
  account        TEXT    NOT NULL,
  uid            TEXT    NOT NULL,
  device_id      TEXT    NOT NULL,
  device_model   TEXT    NOT NULL,
  datetime       INTEGER NOT NULL,
  sent           INTEGER NOT NULL DEFAULT 0,
  UNIQUE (account, uid)
);

CREATE TABLE t_stat_bounded_range (
  _id            INTEGER PRIMARY KEY,
  account        TEXT,
  uid            TEXT,
  data_type      INTEGER NOT NULL,
  datetime       INTEGER NOT NULL,
  current_value  REAL    NOT NULL,
  max_value      REAL,
  min_value      REAL
);

CREATE TABLE t_stat_app_usage (
  _id            INTEGER PRIMARY KEY,
  account        TEXT,
  uid            TEXT,
  stat_date      INTEGER NOT NULL,
  package_name   TEXT    NOT NULL,
  app_name       TEXT,
  launched       INTEGER NOT NULL DEFAULT 0,
  active_time    INTEGER NOT NULL DEFAULT 0,
  UNIQUE (account, uid, stat_date, package_name)
);
